Fahrtenbuch

Users

Get own profile

GET
/users/me

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Profil

application/json
  1. response
id*string
Formatuuid
email*string
Formatemail
loginName?string|null
displayName?string|null
firstName?|
Lengthlength <= 80
lastName?|
Lengthlength <= 80
role*string
Value in"user""admin"
status*string
Value in"active""disabled"
locale?string
Default"de"
timezone?string
Default"Europe/Berlin"
themeMode?string
Value in"light""dark""system"
totpEnabled?boolean
totpRequired?boolean
passkeyEnabled?boolean
hasPassword?boolean
forcePasswordChange?boolean
onboardingCompleted?boolean

false: beim Login den Einrichtungsassistenten zeigen

lastLoginAt?|
Formatdate-time
createdAt*string
Formatdate-time
updatedAt?string
Formatdate-time
Example Request
curl -X GET 'https://example.com/api/v1/users/me'
Example Response200
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "email": "user@example.com",  "loginName": "string",  "displayName": "string",  "firstName": "string",  "lastName": "string",  "role": "user",  "status": "active",  "locale": "de",  "timezone": "Europe/Berlin",  "themeMode": "light",  "totpEnabled": true,  "totpRequired": true,  "passkeyEnabled": true,  "hasPassword": true,  "forcePasswordChange": true,  "onboardingCompleted": true,  "lastLoginAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

Update own profile

PUT
/users/me

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Request Body

application/json
  1. body
loginName?string|null
displayName?string|null
locale?string

Response Body

Aktualisiertes Profil

application/json
  1. response
id*string
Formatuuid
email*string
Formatemail
loginName?string|null
displayName?string|null
firstName?|
Lengthlength <= 80
lastName?|
Lengthlength <= 80
role*string
Value in"user""admin"
status*string
Value in"active""disabled"
locale?string
Default"de"
timezone?string
Default"Europe/Berlin"
themeMode?string
Value in"light""dark""system"
totpEnabled?boolean
totpRequired?boolean
passkeyEnabled?boolean
hasPassword?boolean
forcePasswordChange?boolean
onboardingCompleted?boolean

false: beim Login den Einrichtungsassistenten zeigen

lastLoginAt?|
Formatdate-time
createdAt*string
Formatdate-time
updatedAt?string
Formatdate-time
Example Request
curl -X PUT 'https://example.com/api/v1/users/me' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response200
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "email": "user@example.com",  "loginName": "string",  "displayName": "string",  "firstName": "string",  "lastName": "string",  "role": "user",  "status": "active",  "locale": "de",  "timezone": "Europe/Berlin",  "themeMode": "light",  "totpEnabled": true,  "totpRequired": true,  "passkeyEnabled": true,  "hasPassword": true,  "forcePasswordChange": true,  "onboardingCompleted": true,  "lastLoginAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}

Change own password

PUT
/users/me/password

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Request Body

application/json
  1. body
currentPassword*string
Formatpassword
newPassword*string
Formatpassword
Length8 <= length

Response Body

Passwort geändert

Example Request
curl -X PUT 'https://example.com/api/v1/users/me/password' \  -H 'Content-Type: application/json' \  -d '{  "currentPassword": "pa$$word",  "newPassword": "pa$$word"}'
Example Response200
Empty

Update own profile

PATCH
/users/me/profile

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Successful response

Example Request
curl -X PATCH 'https://example.com/api/v1/users/me/profile'
Example Response
Empty
POST
/users/me/home-location/search

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Successful response

Example Request
curl -X POST 'https://example.com/api/v1/users/me/home-location/search'
Example Response
Empty
POST
/users/me/home-location/reverse

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Successful response

Example Request
curl -X POST 'https://example.com/api/v1/users/me/home-location/reverse'
Example Response
Empty

Remove home location

DELETE
/users/me/home-location

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Successful response

Example Request
curl -X DELETE 'https://example.com/api/v1/users/me/home-location'
Example Response
Empty

Set home location

PUT
/users/me/home-location

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Successful response

Example Request
curl -X PUT 'https://example.com/api/v1/users/me/home-location'
Example Response
Empty

Remove work location

DELETE
/users/me/work-location

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Successful response

Example Request
curl -X DELETE 'https://example.com/api/v1/users/me/work-location'
Example Response
Empty

Set work location

PUT
/users/me/work-location

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Successful response

Example Request
curl -X PUT 'https://example.com/api/v1/users/me/work-location'
Example Response
Empty
GET
/users/me/dawarich

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Verbindungsstatus (der API-Key wird nie zurückgegeben)

application/json
  1. response
connected*boolean
baseUrl?string
apiKeyHint?string

Letzte vier Zeichen des API-Keys

email?string

E-Mail des Dawarich-Kontos

version?string

Version der Dawarich-Instanz

verifiedAt?string
Formatdate-time
lastError?string
updatedAt?string
Formatdate-time
Example Request
curl -X GET 'https://example.com/api/v1/users/me/dawarich'
Example Response
{  "connected": true,  "baseUrl": "string",  "apiKeyHint": "string",  "email": "string",  "version": "string",  "verifiedAt": "2019-08-24T14:15:22Z",  "lastError": "string",  "updatedAt": "2019-08-24T14:15:22Z"}
DELETE
/users/me/dawarich

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Verbindung entfernt

Example Request
curl -X DELETE 'https://example.com/api/v1/users/me/dawarich'
Example Response
Empty
PUT
/users/me/dawarich

Prüft die Zugangsdaten über GET /api/v1/users/me der Dawarich-Instanz und speichert sie nur bei Erfolg. Der API-Key steht in Dawarich unter Account → API-Key und wird verschlüsselt gespeichert. Ohne apiKey bleibt ein bereits gespeicherter Schlüssel.

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Request Body

application/json
  1. body
baseUrl*string
apiKey?string

Response Body

Gespeicherte Verbindung

application/json
  1. response
connected*boolean
baseUrl?string
apiKeyHint?string

Letzte vier Zeichen des API-Keys

email?string

E-Mail des Dawarich-Kontos

version?string

Version der Dawarich-Instanz

verifiedAt?string
Formatdate-time
lastError?string
updatedAt?string
Formatdate-time
Example Request
curl -X PUT 'https://example.com/api/v1/users/me/dawarich' \  -H 'Content-Type: application/json' \  -d '{  "baseUrl": "string"}'
Example Response
{  "connected": true,  "baseUrl": "string",  "apiKeyHint": "string",  "email": "string",  "version": "string",  "verifiedAt": "2019-08-24T14:15:22Z",  "lastError": "string",  "updatedAt": "2019-08-24T14:15:22Z"}
POST
/users/me/dawarich/test

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Verbindung funktioniert

application/json
  1. response
connected*boolean
baseUrl?string
apiKeyHint?string

Letzte vier Zeichen des API-Keys

email?string

E-Mail des Dawarich-Kontos

version?string

Version der Dawarich-Instanz

verifiedAt?string
Formatdate-time
lastError?string
updatedAt?string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/users/me/dawarich/test'
Example Response
{  "connected": true,  "baseUrl": "string",  "apiKeyHint": "string",  "email": "string",  "version": "string",  "verifiedAt": "2019-08-24T14:15:22Z",  "lastError": "string",  "updatedAt": "2019-08-24T14:15:22Z"}

Export own data

GET
/export/data

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Successful response

Example Request
curl -X GET 'https://example.com/api/v1/export/data'
Example Response
Empty

Import own data

POST
/import/data

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Successful response

Example Request
curl -X POST 'https://example.com/api/v1/import/data'
Example Response
Empty
POST
/users/me/onboarding

Setzt onboardingCompleted des eigenen Kontos. Clients zeigen den Einrichtungsassistenten, solange der Wert false ist.

Authorization

bearerAuth
headerAuthorizationBearer <JWT>

Response Body

Aktualisiertes Profil

application/json
  1. response
id*string
Formatuuid
email*string
Formatemail
loginName?string|null
displayName?string|null
firstName?|
Lengthlength <= 80
lastName?|
Lengthlength <= 80
role*string
Value in"user""admin"
status*string
Value in"active""disabled"
locale?string
Default"de"
timezone?string
Default"Europe/Berlin"
themeMode?string
Value in"light""dark""system"
totpEnabled?boolean
totpRequired?boolean
passkeyEnabled?boolean
hasPassword?boolean
forcePasswordChange?boolean
onboardingCompleted?boolean

false: beim Login den Einrichtungsassistenten zeigen

lastLoginAt?|
Formatdate-time
createdAt*string
Formatdate-time
updatedAt?string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/users/me/onboarding'
Example Response200
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "email": "user@example.com",  "loginName": "string",  "displayName": "string",  "firstName": "string",  "lastName": "string",  "role": "user",  "status": "active",  "locale": "de",  "timezone": "Europe/Berlin",  "themeMode": "light",  "totpEnabled": true,  "totpRequired": true,  "passkeyEnabled": true,  "hasPassword": true,  "forcePasswordChange": true,  "onboardingCompleted": true,  "lastLoginAt": "2019-08-24T14:15:22Z",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}